Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85131 - Shutdown results in panic ('gdth' driver in 2.4.9-e.10 kernel)
Summary: Shutdown results in panic ('gdth' driver in 2.4.9-e.10 kernel)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-25 23:17 UTC by Glen A. Foster
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-07 20:32:30 UTC


Attachments (Terms of Use)
Serial console output (boot msgs, diagnostics, panic data) (deleted)
2003-02-25 23:19 UTC, Glen A. Foster
no flags Details

Description Glen A. Foster 2003-02-25 23:17:38 UTC
Description of problem: SSIA.  If I boot up an Intel RAID controller that is 
automatically discovered and bound to the 'gdth' driver, all is well until I 
perform a graceful shutdown via /usr/sbin/shutdown.  Then I get a panic.

Version-Release number of selected component (if applicable):
# rpm -q kernel
kernel-2.4.9-e.10

How reproducible: 100% (always)

Steps to Reproduce:
1. Add an Intel RAID controller to a system containing an everything install
of RHAS2.1 + 2.4.9-e.10 kernel -- uses 'gdth' driver
2. Boot up, make a file system on a RAID partition.
3. Run "shutdown"
    
Actual results: Attached.

Additional info: Let me know what else you need to troubleshoot/diagnose this.

Comment 1 Glen A. Foster 2003-02-25 23:19:19 UTC
Created attachment 90367 [details]
Serial console output (boot msgs, diagnostics, panic data)

Comment 2 Arjan van de Ven 2003-02-26 09:39:10 UTC
this is actually fixed in the e.12 erratum kernel.

Comment 3 Glen A. Foster 2003-02-26 16:31:34 UTC
This is all well and good, thanks for the update.  How does one go about 
getting an 2.4.9-e.12enterprise kernel?  Must they compile it themselves,
or has the enterprise kernel been obsoleted, or what?

/me did an everything install of AS2.1 and ran up2date to get the newest
packages -- I have the following kernel RPMs:

kernel-2.4.9-e.12.i686.rpm
kernel-debug-2.4.9-e.12.i686.rpm
kernel-doc-2.4.9-e.12.i386.rpm
kernel-headers-2.4.9-e.12.i386.rpm
kernel-smp-2.4.9-e.12.i686.rpm
kernel-source-2.4.9-e.12.i386.rpm

... but no enterprise kernel.

Comment 4 Arjan van de Ven 2003-02-26 16:58:17 UTC
the "enterprise" kernel is only for 4Gb+ machines...
up2date kernel-enterprise will install it anyway but if you don't have more than
4Gb of ram you'll loose 6% performance.


Comment 5 Glen A. Foster 2003-03-07 20:32:30 UTC
I've verified the -e.12 kernel resolves the panic-on-shutdown problem.


Note You need to log in before you can comment on or make changes to this bug.